Foxit PDF SDK

Instance Methods | Properties | List of all members
FSSearchOption Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithSearch_option:
| Constructor, with another search option object. More...
(void) | - set:is_case_sensitive:is_search_bookmarks:is_search_in_marup:is_search_in_attachments:is_ignore_accents:is_proximity:is_stemming:is_ignore_full_width:max_docs:word_matching:is_search_doc_text:
| Set values. More...

## Properties
BOOL | is_case_sensitive
| Specifies whether the search query is case sensitive. Defaule value: NO.
BOOL | is_ignore_accents
| Specifies whether accents and diacriticals are ignored while searching the query term. Defaule value: NO.
BOOL | is_ignore_full_width
| Specifies whether full width and half width characters in the document exactly match the search query. YES means ignore full width and half width matching, while NO means exactly match the search query. Defaule value: NO.
BOOL | is_proximity
| Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses. Defaule value: NO.
BOOL | is_search_bookmarks
| Specifies whether bookmarks are searched for the query. Defaule value: NO.
BOOL | is_search_doc_text
| Specifies whether the document text is searched for the query. Defaule value: YES.
BOOL | is_search_in_attachments
| Specifies whether any PDF file attachments should be searched along with the base document. Defaule value: NO.
BOOL | is_search_in_markup
| Specifies whether markup (annotations) are searched for the query. Defaule value: NO.
BOOL | is_stemming
| Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search. Defaule value: NO.
BOOL | is_whole_word
| Specifies whether search finds only occurrences of complete words that are specified in the query. Defaule value: NO.
int | max_docs
| The maximum number of documents that will be returned as part of the search query. Defaule value: 100.
FSSearchOptionWordMatching | word_matching
| How individual words in the query will be matched to words in the document. This property is relevant only when a query has more than one word. Please refer to values starting from FSSearchOptionWordMatchingMatchPhrase and this should be one of these values.

## Detailed Description

This class represents search option.

## Method Documentation

## ◆ initWithSearch_option:()

- (id) initWithSearch_option: |  | (FSSearchOption*) | search_option |

Constructor, with another search option object.

Parameters

  [in] | search_option | Another search option object.

## ◆ set:is_case_sensitive:is_search_bookmarks:is_search_in_marup:is_search_in_attachments:is_ignore_accents:is_proximity:is_stemming:is_ignore_full_width:max_docs:word_matching:is_search_doc_text:()

- (void) set: |  | (BOOL) | is_whole_word
is_case_sensitive: |  | (BOOL) | is_case_sensitive
is_search_bookmarks: |  | (BOOL) | is_search_bookmarks
is_search_in_marup: |  | (BOOL) | is_search_in_marup
is_search_in_attachments: |  | (BOOL) | is_search_in_attachments
is_ignore_accents: |  | (BOOL) | is_ignore_accents
is_proximity: |  | (BOOL) | is_proximity
is_stemming: |  | (BOOL) | is_stemming
is_ignore_full_width: |  | (BOOL) | is_ignore_full_width
max_docs: |  | (int) | max_docs
word_matching: |  | (FSSearchOptionWordMatching) | word_matching
is_search_doc_text: |  | (BOOL) | is_search_doc_text

Set values.

Parameters

  [in] | is_whole_word | Specifies whether search finds only occurrences of complete words that are specified in the query.
  [in] | is_case_sensitive | Specifies whether the search query is case sensitive.
  [in] | is_search_bookmarks | Specifies whether bookmarks are searched for the query.
  [in] | is_search_in_attachments | Specifies whether any PDF file attachments should be searched along with the base document.
  [in] | is_ignore_accents | Specifies whether accents and diacriticals are ignored while searching the query term.
  [in] | is_proximity | Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses.
  [in] | is_stemming | Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search.
  [in] | is_ignore_full_width | Specifies whether full width and half width characters in the document exactly match the search query.
  [in] | max_docs | The maximum number of documents that will be returned as part of the search query.
  [in] | word_matching | How individual words in the query will be matched to words in the document.
  [in] | is_search_doc_text | Specifies whether the document text is searched for the query.

Returns
  None.